# List of all orders

Using this endpoint, you can get list of all orders with detailed info of each order (like in Order Detail endpoint) asynchronously. See how Asynchronous requests work on our developer's portal.


The list may be filtered by date of creation and order code. The code is the order identifier. Although this is usually
a number, it is necessary to take into account that this might also include letters, dash, etc.


Response will be in jsonlines format with each order taking one line of output file.


One order in response has the same format as order detail response. See Order snapshot schema for more details.


This endpoint has several sections, which are exported only when requested in the include parameter (see Section on demand).


Include parameter     | Meaning
---                   | ---
notes               | Order remarks, including up to six additional fields, which can be freely used by e-shop for its individual needs. The field names can be defined in administration and this section returns their names.
images              | Order images
shippingDetails     | Transport details
stockLocation       | Position in the stock
surchargeParameters | Item surcharge parameters
productFlags        | Item product flags

Use orderCodes request parameter to get the list of specific orders. Order codes are separated by a comma. If you use this query parameter, other filters are not applied, and the set of particular orders is returned. Please note that this parameter accepts max. 50 order codes in request parameter.

Result file is compressed using GZIP.

Endpoint: GET /api/orders/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `include` (string)
    Optional parts of response. Available values are
notes,images,shippingDetails,stockLocation,surchargeParameters.

  - `orderCodes` (string)
    Define the output set of orders. Use max. 50 order codes separated by a comma. No additional filters take
effect.
    Example: "2025000004,2025000002,2017000038,2017000025,2015000248"

  - `statusId` (integer)
    Purchase order filtering, according to order status id.
    Example: -1

  - `shippingGuid` (string)
    Purchase order filtering, according to forwarder GUID.
    Example: "ecb3e399-2f57-11eb-8853-0800275177b9"

  - `shippingCompanyCode` (string)
    Purchase order filtering, according to forwarder [company
code](#tag/shipping-methods/getlistofshippingmethods).
    Example: "zasilkovna"

  - `paymentMethodGuid` (string)
    Purchase order filtering, according to payment method.
    Example: "b57f91bb-e920-11e0-baa3-7dc668b75ca8"

  - `creationTimeFrom` (string)
    Purchase order filtering, according to date of creation. ISO 8601
format ("2017-12-12T22:08:01+0100").
    Example: "2014-09-05T00:00:00%2B0000"

  - `creationTimeTo` (string)
    Purchase order filtering, according to date of creation. ISO 8601
format ("2017-12-12T22:08:01+0100").
    Example: "2014-09-05T00:00:00%2B0000"

  - `codeFrom` (string)
    Purchase order filtering, according to order code.
    Example: "0000000006"

  - `codeTo` (string)
    Purchase order filtering, according to order code.
    Example: "0000000006"

  - `customerGuid` (string)
    Purchase order filtering, according to customer number.
    Example: "443cad54-73bc-11e8-8216-002590dad85e"

  - `email` (string)
    Purchase order filtering, according to customer e-mail. The accurate
match is searched for, regardless of capitalization.
    Example: "john.doe@example.com"

  - `phone` (string)
    Purchase order filtering, according to customer phone. International
format only (+420123456789)
    Example: "+420123456789"

  - `productCode` (string)
    Order filter by product's code that is in order.
    Example: "15/ZLU"

  - `changeTimeFrom` (string)
    Purchase order filtering, according to date of last update. ISO 8601
format ("2017-12-12T22:08:01+0100").
    Example: "2014-09-05T00:00:00%2B0000"

  - `changeTimeTo` (string)
    Purchase order filtering, according to date of last update. ISO 8601
format ("2017-12-12T22:08:01+0100").
    Example: "2014-09-05T00:00:00%2B0000"

  - `sourceId` (integer)
    Order source filtering according to source id. For more information,
see List of order sources endpoint.
    Example: -1

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 400 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


